Re: Debian Wheezy : upgrade to 3.4.4

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: Debian Wheezy : upgrade to 3.4.4

Dean Hamstead
Why not use back ports?

On 04/06/2015 7:50 am, Florent B <[hidden email]> wrote:

>
> Hi everyone,
>
> I have some PowerDNS servers on Debian Wheezy, using package provided by
> Debian (so version 3.1 in Wheezy).
>
> I would like to upgrade my setup to 3.4.4.
>
> I use MySQL backend.
>
> I would like to know if the package "pdns-static" available on
> powerdns.com includes MySQL backend or not ?
>
> And if not, do I have to keep the Debian "pdns-backend-mysql" package ?
>
> By the way, I understand from "changelog" and "upgrading" pages on
> website, that I first need to upgrade to 3.3.2, is that right ? (with
> database schemas upgrade of course)
>
> Thank you a lot.
>
> Florent
>
> _______________________________________________
> Pdns-users mailing list
> [hidden email]
> http://mailman.powerdns.com/mailman/listinfo/pdns-users 
_______________________________________________
Pdns-users mailing list
[hidden email]
http://mailman.powerdns.com/mailman/listinfo/pdns-users
Reply | Threaded
Open this post in threaded view
|

Re: Debian Wheezy : upgrade to 3.4.4

Christian Hofstaedtler

> On 04 Jun 2015, at 15:50, Florent B <[hidden email]> wrote:
>
> Hi everyone,
>
> I have some PowerDNS servers on Debian Wheezy, using package provided by
> Debian (so version 3.1 in Wheezy).
>
> I would like to upgrade my setup to 3.4.4.

wheezy-backports carries 3.4.4 too, if you want to stay in Debian land.

Cheers,
--
Christian Hofstaedtler / Deduktiva GmbH (FN 418592 b, HG Wien)
www.deduktiva.com / +43 1 353 1707




_______________________________________________
Pdns-users mailing list
[hidden email]
http://mailman.powerdns.com/mailman/listinfo/pdns-users
Reply | Threaded
Open this post in threaded view
|

Re: Debian Wheezy : upgrade to 3.4.4

Pieter Lexis-2
Hi Florent,

On 06/08/2015 09:31 AM, Florent B wrote:
> What about the 3.3.2 update ? do I have to upgrade to 3.3.2 first ?

No, but you will need to test and do the the database schema changes
from the docs [1] all the way from 3.1 to 3.4. Also, read the changes
that have been made to the default configuration options (on the same
page) to see if they affect you.

1 - http://doc.powerdns.com/md/authoritative/upgrading/#31-to-32

--
Pieter Lexis
PowerDNS.COM BV - https://www.powerdns.com

_______________________________________________
Pdns-users mailing list
[hidden email]
http://mailman.powerdns.com/mailman/listinfo/pdns-users
Reply | Threaded
Open this post in threaded view
|

Re: Debian Wheezy : upgrade to 3.4.4

Mislav | sys admin
I've updated everything in database and I've removed:

lazy-recursion
log-failed-updates

in configuration file, however, I'm getting error now:
"Fatal error: Trying to set unknown parameter 'include'"

If I comment that line, then I get error in syslog:
"gmysql Connection failed: Unable to connect to database: Can't connect to local MySQL server through socket"
- it's looking probably for mysql credentials, but since I removed include line...

I've upgraded from 3.1 to 3.4.4. - from I've downloaded x86_64/AMD64 (64 bit) DEB file from powerdns downloads page (previously removed pdns-static packages as they conflicted - I didn't purge, just remove).

Any suggestions?

On 08.06.2015 10:31, Pieter Lexis wrote:
Hi Florent,

On 06/08/2015 09:31 AM, Florent B wrote:
What about the 3.3.2 update ? do I have to upgrade to 3.3.2 first ?
No, but you will need to test and do the the database schema changes
from the docs [1] all the way from 3.1 to 3.4. Also, read the changes
that have been made to the default configuration options (on the same
page) to see if they affect you.

1 - http://doc.powerdns.com/md/authoritative/upgrading/#31-to-32


_______________________________________________
Pdns-users mailing list
[hidden email]
http://mailman.powerdns.com/mailman/listinfo/pdns-users